Skip to content

API Reference

Update risk assessment in batch

PUT /v2/risk_assessment https://api.cable.tech

Authentication

  • Bearer token in the Authorization header risk_assessment:write

Request body

application/json list of objects

An array of risk assessment update payloads. Each payload must include the ‘assessment_id’ to identify the identity verification and can include any other fields that need to be updated. The ‘timestamp’ field represents the time of update.

  • assessment_id string required

    Unique identifier for a risk assessment belonging to a risk assessment. This is the primary key for a risk assessment and should be unique across all risk assessments. Updates to a risk assessment should be made using this identifier.

  • timestamp string required

    When the risk assessment was performed, not when reported to Cable. Use ISO 8601 format.

    Format date-time

  • related_company_id string

    Unique identifier of the related company entity (used for business contexts). Only one of related_company_id and related_person_id can be specified.

    Example company-id-12345

  • related_person_id string

    Unique identifier of the related person entity (used for retail contexts or when a person is the subject). Only one of related_company_id and related_person_id can be specified.

    Example person-id-56789

  • type string required

    Type of risk assessment (e.g., pre-onboarding risk rating, risk band, risk engine score)

    Example onboarding risk band

  • outcome string required

    The outcome of the assessment. One of: LOW, MEDIUM, HIGH, CRITICAL

Responses

200 Risk assessment updated successfully

  • success boolean required

    Indicates if the write operation was successful.

  • write_count integer required

    The number of records written to the database.

    Format int32

  • message string required

    Provides additional information about the operation result.

  • organization_id string required

    The organization ID for which the operation was performed.

Errors

  • 400 Invalid risk assessment data
  • 401 Unauthorized request
  • 404 Risk assessment not found
  • 429 Rate limit exceeded
  • 500 Server error
  • default General error

Error body 400401404429500default

  • code integer required

    Format int32

  • message string required
  • errors list of objects

    Detailed information about errors in specific fields.

    • field string
    • message string